# v9 migration

For v9, external devs and partners need to adjust the updated  [getLiquidationPrice](https://github.com/GainsNetwork-org/sdk/blob/35469e835db5a3de31b395bd557eeb3953df1d15/src/trade/liquidation.ts#L9C14-L9C33) function from the [Gains Network SDK](https://github.com/GainsNetwork-org/sdk) by removing the `tradeInfo` param and adding the `fee: Fee` param.

```typescript
export const getLiquidationPrice = (
  trade: Trade,
  fee: Fee,
  initialAccFees: BorrowingFee.InitialAccFees,
  context: GetBorrowingFeeContext
):
```

```typescript
export type Fee = {
  openFeeP: number;
  closeFeeP: number;
  minPositionSizeUsd: number;
  triggerOrderFeeP: number;
};
```

Fetching openFeeP from method&#x20;

[Broken mention](broken://pages/FJiPWdH0rvellwZli8FO#pairopenfeep)

Fetching closeFeeP from method

[Broken mention](broken://pages/FJiPWdH0rvellwZli8FO#pairclosefeep)

Fetching minPositionSizeUsd: number;

[Broken mention](broken://pages/FJiPWdH0rvellwZli8FO#pairminpositionsizeusd)

Fetching triggerOrderFeeP

[Broken mention](broken://pages/FJiPWdH0rvellwZli8FO#pairtriggerorderfeep)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gains.trade/developer/integrators/guides/v9-migration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
